if ClippyAssist == nil then ClippyAssist = {} end

-- Some of this data is redundant, or can be calculated
-- from other entries. They are cached here for performance.

local path_data = "Interface/AddOns/ClippyAssist/rc/"

local data = {
	Alert = {
		path		= path_data .. "Alert.tga",
		frames		= 20,
		tex_width	= 1024,
		tex_height	= 512,
		timing = {
			0.100, -- 01
			0.100, -- 02
			0.100, -- 03
			0.100, -- 04
			0.100, -- 05
			0.100, -- 06
			0.100, -- 07
			0.100, -- 08
			0.100, -- 09
			0.100, -- 10
			0.500, -- 11
			0.100, -- 12
			0.100, -- 13
			0.100, -- 14
			0.100, -- 15
			0.100, -- 16
			0.100, -- 17
			0.100, -- 18
			0.100, -- 19
			0.100, -- 20
		},
	},
	CheckingSomethingIntro = {
		path		= path_data .. "CheckingSomethingIntro.tga",
		frames		= 10,
		tex_width	= 1024,
		tex_height	= 256,
		timing = {
			0.100, -- 01
			0.100, -- 02
			0.100, -- 03
			0.100, -- 04
			0.100, -- 05
			0.100, -- 06
			0.100, -- 07
			0.100, -- 08
			0.200, -- 09
			0.200, -- 10
		},
	},
	CheckingSomethingLoop1 = {
		path		= path_data .. "CheckingSomethingLoop1.tga",
		frames		= 4,
		tex_width	= 512,
		tex_height	= 128,
		timing = {
			0.200, -- 11
			0.100, -- 12
			0.100, -- 13
			0.140, -- 14
		},
	},
	CheckingSomethingLoop2 = {
		path		= path_data .. "CheckingSomethingLoop2.tga",
		frames		= 29,
		tex_width	= 1024,
		tex_height	= 512,
		timing = {
			0.100, -- 15
			0.100, -- 16
			0.100, -- 17
			0.200, -- 18
			0.100, -- 19
			0.100, -- 20
			0.100, -- 21
			0.200, -- 22
			0.100, -- 23
			0.100, -- 24
			0.200, -- 25
			0.100, -- 26
			0.100, -- 27
			0.100, -- 28
			0.200, -- 29
			0.100, -- 30
			0.100, -- 31
			0.200, -- 32
			0.100, -- 33
			0.100, -- 34
			0.100, -- 35
			0.100, -- 36
			0.200, -- 37
			0.100, -- 38
			0.100, -- 39
			0.200, -- 40
			0.100, -- 41
			0.100, -- 42
			0.100, -- 43
		},
	},
	CheckingSomethingLoop3 = {
		path		= path_data .. "CheckingSomethingLoop3.tga",
		frames		= 8,
		tex_width	= 1024,
		tex_height	= 128,
		timing = {
			0.100, -- 44
			0.200, -- 45
			0.100, -- 46
			0.100, -- 47
			0.100, -- 48
			0.100, -- 49
			0.100, -- 50
			0.100, -- 51
		},
	},
	CheckingSomethingOutro = {
		path		= path_data .. "CheckingSomethingOutro.tga",
		frames		= 4,
		tex_width	= 512,
		tex_height	= 128,
		timing = {
			0.100, -- 52
			0.100, -- 53
			0.100, -- 54
			0.100, -- 55
		},
	},
	Congratulate = {
		path		= path_data .. "Congratulate.tga",
		frames		= 20,
		tex_width	= 1024,
		tex_height	= 512,
		timing = {
			0.100, -- 01
			0.010, -- 02
			0.010, -- 03
			0.010, -- 04
			0.010, -- 05
			0.010, -- 06
			0.010, -- 07
			0.100, -- 08
			0.100, -- 09
			0.100, -- 10
			1.200, -- 11
			0.100, -- 12
			0.100, -- 13
			1.200, -- 14
			0.100, -- 15
			0.100, -- 16
			0.100, -- 17
			0.100, -- 18
			0.100, -- 19
			0.100, -- 20
		},
	},
	EmptyTrash = {
		path		= path_data .. "EmptyTrash.tga",
		frames		= 42,
		tex_width	= 1024,
		tex_height	= 1024,
		timing = {
			0.100, -- 01
			0.100, -- 02
			0.100, -- 03
			0.100, -- 04
			0.100, -- 05
			0.100, -- 06
			0.100, -- 07
			0.100, -- 08
			0.100, -- 09
			0.100, -- 10
			0.100, -- 11
			0.100, -- 12
			0.100, -- 13
			0.100, -- 14
			0.100, -- 15
			0.100, -- 16
			0.100, -- 17
			0.100, -- 18
			0.100, -- 19
			0.100, -- 20
			0.100, -- 21
			0.100, -- 22
			0.100, -- 23
			0.100, -- 24
			0.100, -- 25
			0.100, -- 26
			0.100, -- 27
			0.100, -- 28
			0.100, -- 29
			0.100, -- 30
			0.100, -- 31
			0.100, -- 32
			0.900, -- 33
			0.100, -- 34
			0.100, -- 35
			0.100, -- 36
			0.100, -- 37
			0.100, -- 38
			0.100, -- 39
			0.100, -- 40
			0.100, -- 41
			0.100, -- 42
		},
	},
	Explain = {
		path		= path_data .. "Explain.tga",
		frames		= 7,
		tex_width	= 1024,
		tex_height	= 128,
		timing = {
			0.100, -- 01
			0.100, -- 02
			0.100, -- 03
			0.900, -- 04
			0.100, -- 05
			0.100, -- 06
			0.100, -- 07
		},
	},
	GestureDown2 = {
		path		= path_data .. "GestureDown2.tga",
		frames		= 19,
		tex_width	= 1024,
		tex_height	= 512,
		timing = {
			0.100, -- 01
			0.100, -- 02
			0.100, -- 03
			0.100, -- 04
			0.100, -- 05
			0.100, -- 06
			0.100, -- 07
			0.100, -- 08
			0.100, -- 09
			0.100, -- 10
			0.100, -- 11
			0.100, -- 12
			0.100, -- 13
			0.450, -- 14
			0.100, -- 15
			0.100, -- 16
			0.100, -- 17
			0.100, -- 18
			0.100, -- 19
		},
	},
	GestureDown3 = {
		path		= path_data .. "GestureDown3.tga",
		frames		= 22,
		tex_width	= 1024,
		tex_height	= 512,
		timing = {
			0.100, -- 01
			0.100, -- 02
			0.100, -- 03
			0.100, -- 04
			0.100, -- 05
			0.100, -- 06
			0.100, -- 07
			0.100, -- 08
			0.100, -- 06
			0.100, -- 07
			0.100, -- 08
			0.100, -- 09
			0.100, -- 10
			0.100, -- 11
			0.100, -- 12
			0.100, -- 13
			0.450, -- 14
			0.100, -- 15
			0.100, -- 16
			0.100, -- 17
			0.100, -- 18
			0.100, -- 19
		},
	},
	GestureLeft2 = {
		path		= path_data .. "GestureLeft2.tga",
		frames		= 16,
		tex_width	= 1024,
		tex_height	= 256,
		timing = {
			0.100, -- 01
			0.100, -- 02
			0.100, -- 03
			0.100, -- 04
			0.100, -- 05
			0.100, -- 06
			0.100, -- 07
			0.100, -- 08
			0.100, -- 09
			1.200, -- 10
			0.100, -- 11
			0.450, -- 12
			0.100, -- 13
			0.100, -- 14
			0.100, -- 15
			0.100, -- 16
		},
	},
	GestureLeft3 = {
		path		= path_data .. "GestureLeft3.tga",
		frames		= 19,
		tex_width	= 1024,
		tex_height	= 512,
		timing = {
			0.100, -- 01
			0.100, -- 02
			0.100, -- 03
			0.100, -- 04
			0.100, -- 05
			0.100, -- 06
			0.100, -- 07
			0.100, -- 05
			0.100, -- 06
			0.100, -- 07
			0.100, -- 08
			0.100, -- 09
			1.200, -- 10
			0.100, -- 11
			0.450, -- 12
			0.100, -- 13
			0.100, -- 14
			0.100, -- 15
			0.100, -- 16
		},
	},
	GestureRight2 = {
		path		= path_data .. "GestureRight2.tga",
		frames		= 17,
		tex_width	= 1024,
		tex_height	= 512,
		timing = {
			0.100, -- 01
			0.100, -- 02
			0.100, -- 03
			0.100, -- 04
			0.100, -- 05
			0.100, -- 06
			0.100, -- 07
			0.100, -- 08
			0.100, -- 09
			1.200, -- 10
			0.100, -- 11
			0.550, -- 12
			0.100, -- 13
			0.100, -- 14
			0.100, -- 15
			0.100, -- 16
			0.100, -- 17
		},
	},
	GestureRight3 = {
		path		= path_data .. "GestureRight3.tga",
		frames		= 20,
		tex_width	= 1024,
		tex_height	= 512,
		timing = {
			0.100, -- 01
			0.100, -- 02
			0.100, -- 03
			0.100, -- 04
			0.100, -- 05
			0.100, -- 06
			0.100, -- 07
			0.100, -- 08
			0.100, -- 06
			0.100, -- 07
			0.100, -- 08
			0.100, -- 09
			1.200, -- 10
			0.100, -- 11
			0.550, -- 12
			0.100, -- 13
			0.100, -- 14
			0.100, -- 15
			0.100, -- 16
			0.100, -- 17
		},
	},
	GestureUp2 = {
		path		= path_data .. "GestureUp2.tga",
		frames		= 17,
		tex_width	= 1024,
		tex_height	= 512,
		timing = {
			0.100, -- 01
			0.100, -- 02
			0.100, -- 03
			0.100, -- 04
			0.100, -- 05
			0.100, -- 06
			0.100, -- 07
			0.100, -- 08
			0.100, -- 09
			1.200, -- 10
			0.100, -- 11
			0.100, -- 12
			0.100, -- 13
			0.100, -- 14
			0.100, -- 15
			0.100, -- 16
			0.100, -- 17
		},
	},
	GestureUp3 = {
		path		= path_data .. "GestureUp3.tga",
		frames		= 20,
		tex_width	= 1024,
		tex_height	= 512,
		timing = {
			0.100, -- 01
			0.100, -- 02
			0.100, -- 03
			0.100, -- 04
			0.100, -- 05
			0.100, -- 06
			0.100, -- 07
			0.100, -- 08
			0.100, -- 06
			0.100, -- 07
			0.100, -- 08
			0.100, -- 09
			1.200, -- 10
			0.100, -- 11
			0.100, -- 12
			0.100, -- 13
			0.100, -- 14
			0.100, -- 15
			0.100, -- 16
			0.100, -- 17
		},
	},
	GetArtsy = {
		path		= path_data .. "GetArtsy.tga",
		frames		= 23,
		tex_width	= 1024,
		tex_height	= 512,
		timing = {
			0.100, -- 01
			0.100, -- 02
			0.100, -- 03
			0.100, -- 04
			0.100, -- 05
			0.100, -- 06
			0.100, -- 07
			0.100, -- 08
			0.100, -- 09
			0.100, -- 10
			0.100, -- 11
			0.400, -- 12
			0.100, -- 13
			0.100, -- 14
			0.100, -- 15
			0.100, -- 16
			0.100, -- 17
			2.400, -- 18
			0.100, -- 19
			0.100, -- 20
			0.100, -- 21
			0.100, -- 22
			0.100, -- 23
		},
	},
	GetAttention = {
		path		= path_data .. "GetAttention.tga",
		frames		= 24,
		tex_width	= 1024,
		tex_height	= 512,
		timing = {
			0.100, -- 01
			0.100, -- 02
			0.100, -- 03
			0.100, -- 04
			0.100, -- 05
			0.100, -- 06
			0.100, -- 07
			0.100, -- 08
			0.100, -- 09
			0.100, -- 10
			0.150, -- 11
			0.150, -- 12
			0.150, -- 13
			0.150, -- 14
			0.150, -- 15
			0.100, -- 16
			0.100, -- 17
			0.100, -- 18
			0.100, -- 19
			0.100, -- 20
			0.100, -- 21
			0.100, -- 22
			0.100, -- 23
			0.100, -- 24
		},
	},
	GoodBye1 = {
		path		= path_data .. "GoodBye1.tga",
		frames		= 5,
		tex_width	= 1024,
		tex_height	= 128,
		timing = {
			0.100, -- 01
			0.100, -- 35
			0.100, -- 36
			0.100, -- 37
			0.100, -- 38
		},
	},
	GoodBye2 = {
		path		= path_data .. "GoodBye2.tga",
		frames		= 35,
		tex_width	= 1024,
		tex_height	= 512,
		timing = {
			0.100, -- 01
			0.100, -- 02
			0.250, -- 03
			0.100, -- 04
			0.100, -- 05
			0.100, -- 06
			0.100, -- 07
			0.100, -- 08
			0.100, -- 09
			0.100, -- 10
			0.100, -- 11
			0.100, -- 12
			0.100, -- 13
			0.100, -- 14
			0.200, -- 15
			0.200, -- 16
			0.200, -- 17
			0.200, -- 18
			0.100, -- 19
			0.100, -- 20
			0.200, -- 21
			0.100, -- 22
			0.100, -- 23
			0.100, -- 24
			0.100, -- 25
			0.100, -- 26
			0.100, -- 27
			0.100, -- 28
			0.100, -- 29
			0.100, -- 30
			0.100, -- 31
			0.100, -- 32
			0.100, -- 33
			0.100, -- 34
			0.100, -- 38
		},
	},
	Greeting1 = {
		path		= path_data .. "Greeting1.tga",
		frames		= 10,
		tex_width	= 1024,
		tex_height	= 256,
		timing = {
			0.100, -- 01
			0.100, -- 31
			0.100, -- 32
			0.100, -- 33
			0.100, -- 34
			0.100, -- 35
			0.100, -- 36
			0.100, -- 37
			0.100, -- 38
			0.100, -- 39
		},
	},
	Greeting2 = {
		path		= path_data .. "Greeting2.tga",
		frames		= 31,
		tex_width	= 1024,
		tex_height	= 512,
		timing = {
			0.100, -- 01
			0.100, -- 02
			0.100, -- 03
			0.100, -- 04
			0.100, -- 05
			0.100, -- 06
			0.100, -- 07
			0.100, -- 08
			0.100, -- 09
			0.100, -- 10
			0.100, -- 11
			0.100, -- 12
			0.100, -- 13
			0.100, -- 14
			0.100, -- 15
			0.100, -- 16
			0.100, -- 17
			0.100, -- 18
			0.300, -- 19
			0.100, -- 20
			0.450, -- 21
			0.100, -- 22
			0.100, -- 23
			0.100, -- 24
			0.100, -- 25
			0.100, -- 26
			0.100, -- 27
			0.100, -- 28
			0.100, -- 29
			0.100, -- 30
			0.100, -- 39
		},
	},
	Hide = {
		path		= path_data .. "Hide.tga",
		frames		= 5,
		tex_width	= 1024,
		tex_height	= 128,
		timing = {
			0.010, -- 01
			0.010, -- 02
			0.010, -- 03
			0.010, -- 04
			0.010, -- 05
		},
		
	},
	LookDown = {
		path		= path_data .. "LookDown.tga",
		frames		= 7,
		tex_width	= 1024,
		tex_height	= 128,
		timing = {
			0.100, -- 01
			0.100, -- 02
			0.100, -- 03
			1.200, -- 04
			0.100, -- 05
			0.100, -- 06
			0.100, -- 07
		},
		
	},
	LookDownLeft = {
		path		= path_data .. "LookDownLeft.tga",
		frames		= 7,
		tex_width	= 1024,
		tex_height	= 128,
		timing = {
			0.100, -- 01
			0.100, -- 02
			0.100, -- 03
			1.200, -- 04
			0.100, -- 05
			0.100, -- 06
			0.100, -- 07
		},
	},
	LookDownRight = {
		path		= path_data .. "LookDownRight.tga",
		frames		= 7,
		tex_width	= 1024,
		tex_height	= 128,
		timing = {
			0.100, -- 01
			0.100, -- 02
			0.100, -- 03
			1.200, -- 04
			0.100, -- 05
			0.100, -- 06
			0.100, -- 07
		},
	},
	LookLeft = {
		path		= path_data .. "LookLeft.tga",
		frames		= 7,
		tex_width	= 1024,
		tex_height	= 128,
		timing = {
			0.100, -- 01
			0.100, -- 02
			0.100, -- 03
			1.200, -- 04
			0.100, -- 05
			0.100, -- 06
			0.100, -- 07
		},
	},
	LookRight = {
		path		= path_data .. "LookRight.tga",
		frames		= 7,
		tex_width	= 1024,
		tex_height	= 128,
		timing = {
			0.100, -- 01
			0.100, -- 02
			0.100, -- 03
			1.200, -- 04
			0.100, -- 05
			0.100, -- 06
			0.100, -- 07
		},
	},
	LookUp = {
		path		= path_data .. "LookUp.tga",
		frames		= 7,
		tex_width	= 1024,
		tex_height	= 128,
		timing = {
			0.100, -- 01
			0.100, -- 02
			0.100, -- 03
			1.200, -- 04
			0.100, -- 05
			0.100, -- 06
			0.100, -- 07
		},
	},
	LookUpLeft = {
		path		= path_data .. "LookUpLeft.tga",
		frames		= 7,
		tex_width	= 1024,
		tex_height	= 128,
		timing = {
			0.100, -- 01
			0.100, -- 02
			0.100, -- 03
			1.200, -- 04
			0.100, -- 05
			0.100, -- 06
			0.100, -- 07
		},
	},
	LookUpRight = {
		path		= path_data .. "LookUpRight.tga",
		frames		= 7,
		tex_width	= 1024,
		tex_height	= 128,
		timing = {
			0.100, -- 01
			0.100, -- 02
			0.100, -- 03
			1.200, -- 04
			0.100, -- 05
			0.100, -- 06
			0.100, -- 07
		},
	},
	Print = {
		path		= path_data .. "Print.tga",
		frames		= 59,
		tex_width	= 1024,
		tex_height	= 1024,
		timing = {
			0.100, -- 01
			0.100, -- 02
			0.100, -- 03
			0.100, -- 04
			0.100, -- 05
			0.100, -- 06
			0.100, -- 07
			0.100, -- 08
			0.100, -- 09
			0.100, -- 10
			0.100, -- 11
			0.150, -- 12
			0.100, -- 13
			0.100, -- 14
			0.100, -- 15
			0.100, -- 16
			0.100, -- 17
			0.100, -- 18
			0.100, -- 19
			0.100, -- 20
			0.100, -- 21
			0.100, -- 22
			0.450, -- 23
			0.200, -- 24
			0.100, -- 25
			0.100, -- 26
			0.100, -- 27
			0.100, -- 28
			0.100, -- 29
			0.100, -- 30
			0.600, -- 31
			0.100, -- 32
			0.100, -- 33
			0.100, -- 34
			0.100, -- 35
			0.100, -- 36
			0.600, -- 37
			0.100, -- 38
			0.100, -- 39
			0.100, -- 40
			0.100, -- 41
			0.600, -- 42
			0.100, -- 43
			0.100, -- 44
			0.100, -- 45
			0.100, -- 46
			0.100, -- 47
			0.100, -- 48
			0.100, -- 49
			0.600, -- 50
			0.100, -- 51
			0.100, -- 52
			0.100, -- 53
			0.100, -- 54
			0.100, -- 55
			0.100, -- 56
			0.100, -- 57
			0.100, -- 58
			0.100, -- 59
		},
	},
	ProcessingIntro = {
		path		= path_data .. "ProcessingIntro.tga",
		frames		= 7,
		tex_width	= 1024,
		tex_height	= 128,
		timing = {
			0.100, -- 01
			0.100, -- 02
			0.100, -- 03
			0.100, -- 04
			0.100, -- 05
			0.100, -- 06
			0.100, -- 07
		},
	},
	ProcessingLoop = {
		path		= path_data .. "ProcessingLoop.tga",
		frames		= 21,
		tex_width	= 1024,
		tex_height	= 512,
		timing = {
			0.100, -- 08
			0.100, -- 09
			0.100, -- 10
			0.100, -- 11
			0.100, -- 12
			0.100, -- 13
			0.100, -- 14
			0.100, -- 15
			0.100, -- 16
			0.100, -- 17
			0.100, -- 18
			0.100, -- 19
			0.100, -- 20
			0.100, -- 21
			0.100, -- 22
			0.100, -- 23
			0.100, -- 24
			0.100, -- 25
			0.100, -- 26
			0.100, -- 27
			0.100, -- 28
		},
	},
	ProcessingOutro = {
		path		= path_data .. "ProcessingOutro.tga",
		frames		= 10,
		tex_width	= 1024,
		tex_height	= 256,
		timing = {
			0.100, -- 29
			0.100, -- 30
			0.100, -- 31
			0.100, -- 32
			0.100, -- 33
			0.100, -- 34
			0.100, -- 35
			0.100, -- 36
			0.100, -- 37
			0.100, -- 38
		},
	},
	RestPose = {
		path		= path_data .. "RestPose.tga",
		frames		= 1,
		tex_width	= 128,
		tex_height	= 128,
		timing = {
			0.100, -- 01
		},
	},
	Save = {
		path		= path_data .. "Save.tga",
		frames		= 42,
		tex_width	= 1024,
		tex_height	= 1024,
		timing = {
			0.100, -- 01
			0.100, -- 02
			0.130, -- 03
			0.130, -- 04
			0.100, -- 05
			0.100, -- 06
			0.100, -- 07
			0.100, -- 08
			0.450, -- 09
			0.100, -- 10
			0.100, -- 11
			0.100, -- 12
			0.100, -- 13
			0.130, -- 14
			0.130, -- 15
			0.130, -- 16
			0.130, -- 17
			0.130, -- 18
			0.130, -- 19
			0.130, -- 20
			0.100, -- 21
			0.100, -- 22
			0.160, -- 23
			0.100, -- 24
			0.100, -- 25
			0.100, -- 26
			0.100, -- 27
			0.450, -- 28
			0.100, -- 29
			0.400, -- 30
			0.100, -- 31
			0.100, -- 32
			0.100, -- 33
			0.100, -- 34
			0.100, -- 35
			0.100, -- 36
			0.100, -- 37
			0.100, -- 38
			0.100, -- 39
			0.100, -- 40
			0.100, -- 41
			0.100, -- 42
		},
	},
	SendMail = {
		path		= path_data .. "SendMail.tga",
		frames		= 63,
		tex_width	= 1024,
		tex_height	= 1024,
		timing = {
			0.100, -- 01
			0.100, -- 02
			0.100, -- 03
			0.100, -- 04
			0.100, -- 05
			0.100, -- 06
			0.100, -- 07
			0.100, -- 08
			0.100, -- 09
			0.100, -- 10
			0.100, -- 11
			0.100, -- 12
			0.100, -- 13
			0.100, -- 14
			0.100, -- 15
			0.100, -- 16
			0.100, -- 17
			0.100, -- 18
			0.100, -- 19
			0.100, -- 20
			0.100, -- 21
			0.100, -- 22
			0.100, -- 23
			0.100, -- 24
			0.100, -- 25
			0.100, -- 26
			0.100, -- 27
			0.100, -- 28
			0.100, -- 29
			0.100, -- 30
			0.100, -- 31
			0.100, -- 32
			0.100, -- 33
			0.100, -- 34
			0.100, -- 35
			0.100, -- 36
			0.100, -- 37
			0.100, -- 38
			0.100, -- 39
			0.100, -- 40
			0.100, -- 41
			0.100, -- 42
			0.100, -- 43
			0.100, -- 44
			0.100, -- 45
			0.100, -- 46
			0.100, -- 47
			0.100, -- 48
			0.100, -- 49
			0.100, -- 50
			0.100, -- 51
			0.100, -- 52
			0.100, -- 53
			0.600, -- 54
			0.100, -- 55
			0.100, -- 56
			0.100, -- 57
			0.100, -- 58
			0.100, -- 59
			0.100, -- 60
			0.100, -- 61
			0.100, -- 62
			0.100, -- 63
		},
	},
	SearchingIntro = {
		path		= path_data .. "SearchingIntro.tga",
		frames		= 19,
		tex_width	= 1024,
		tex_height	= 512,
		timing = {
			0.100, -- 01
			0.100, -- 02
			0.100, -- 03
			0.100, -- 04
			0.100, -- 05
			0.100, -- 06
			0.100, -- 07
			0.100, -- 08
			0.100, -- 09
			0.100, -- 10
			0.100, -- 11
			0.100, -- 12
			0.100, -- 13
			0.100, -- 14
			0.100, -- 15
			0.100, -- 16
			0.100, -- 17
			0.100, -- 18
			0.100, -- 19
		},
	},
	SearchingLoop = {
		path		= path_data .. "SearchingLoop.tga",
		frames		= 22,
		tex_width	= 1024,
		tex_height	= 512,
		timing = {
			1.333, -- 20
			0.100, -- 21
			0.100, -- 22
			0.100, -- 23
			0.100, -- 24
			0.100, -- 25
			0.100, -- 26
			0.100, -- 27
			2.857, -- 28
			0.100, -- 29
			0.100, -- 30
			0.100, -- 31
			0.100, -- 32
			4.000, -- 33
			0.100, -- 34
			0.100, -- 35
			0.100, -- 36
			0.100, -- 37
			0.100, -- 38
			0.100, -- 39
			0.100, -- 40
			0.500, -- 41
		},
	},
	SearchingOutro = {
		path		= path_data .. "SearchingOutro.tga",
		frames		= 7,
		tex_width	= 1024,
		tex_height	= 128,
		timing = {
			0.100, -- 55
			0.100, -- 56
			0.100, -- 57
			0.100, -- 58
			0.100, -- 59
			0.100, -- 60
			0.100, -- 61
		},
	},
	Show = {
		path		= path_data .. "Show.tga",
		frames		= 5,
		tex_width	= 1024,
		tex_height	= 128,
		timing = {
			0.010, -- 01
			0.010, -- 02
			0.010, -- 03
			0.010, -- 04
			0.010, -- 05
		},
	},
	ThinkingIntro = {
		path		= path_data .. "ThinkingIntro.tga",
		frames		= 21,
		tex_width	= 1024,
		tex_height	= 512,
		timing = {
			0.100, -- 01
			0.100, -- 02
			0.100, -- 03
			0.100, -- 04
			0.100, -- 05
			0.100, -- 06
			0.100, -- 07
			0.100, -- 08
			0.100, -- 09
			0.100, -- 10
			0.100, -- 11
			0.100, -- 12
			0.100, -- 13
			0.100, -- 14
			0.100, -- 15
			0.100, -- 16
			0.100, -- 17
			0.100, -- 18
			0.100, -- 19
			0.100, -- 20
			0.100, -- 21
		},
	},
	ThinkingLoop = {
		path		= path_data .. "ThinkingLoop.tga",
		frames		= 12,
		tex_width	= 1024,
		tex_height	= 256,
		timing = {
			0.100, -- 22
			0.100, -- 23
			0.100, -- 24
			0.100, -- 25
			0.100, -- 26
			0.100, -- 27
			0.100, -- 28
			0.100, -- 29
			0.100, -- 30
			0.100, -- 31
			0.100, -- 32
			0.100, -- 33
		},
	},
	ThinkingOutro = {
		path		= path_data .. "ThinkingOutro.tga",
		frames		= 12,
		tex_width	= 1024,
		tex_height	= 256,
		timing = {
			0.100, -- 34
			0.100, -- 35
			0.100, -- 36
			0.100, -- 37
			0.100, -- 38
			0.100, -- 39
			0.100, -- 40
			0.100, -- 41
			0.100, -- 42
			0.100, -- 43
			0.100, -- 44
			0.100, -- 45
		},
	},
	Wave1 = {
		path		= path_data .. "Wave1.tga",
		frames		= 14,
		tex_width	= 1024,
		tex_height	= 256,
		timing = {
			0.100, -- 01
			0.100, -- 02
			0.100, -- 03
			0.100, -- 04
			0.100, -- 05
			0.100, -- 06
			0.100, -- 07
			0.100, -- 10
			0.100, -- 11
			0.100, -- 12
			0.100, -- 13
			0.100, -- 14
			0.100, -- 15
			0.100, -- 27
		},
	},
	Wave2 = {
		path		= path_data .. "Wave2.tga",
		frames		= 13,
		tex_width	= 1024,
		tex_height	= 256,
		timing = {
			0.100, -- 01
			0.100, -- 16
			0.100, -- 17
			0.100, -- 18
			0.100, -- 19
			0.100, -- 20
			0.100, -- 21
			1.200, -- 22
			0.100, -- 23
			1.300, -- 24
			0.050, -- 25
			0.050, -- 26
			0.100, -- 27
		},
	},
}

ClippyAssist.data = data
